import request from '@/utils/request'

export function listReportMark(query) {
  return request({
    url: '/indica/cIndicationInfo/listReportMark',
    method: 'get',
    params: query
  })
}

export function listReportHzqy(query) {
  return request({
    url: '/indica/cIndicationInfo/listReportHzqy',
    method: 'get',
    params: query
  })
}
export function listReportFarm(query) {
  return request({
    url: '/indica/cIndicationInfo/listReportFarm',
    method: 'get',
    params: query
  })
}
export function listReportMarkRank(query) {
  return request({
    url: '/indica/cIndicationInfo/listReportMarkRank',
    method: 'get',
    params: query
  })
}
export function listReportAddrRank(query) {
  return request({
    url: '/indica/cIndicationInfo/listReportAddrRank',
    method: 'get',
    params: query
  })
}
export function listReportFarmRank(query) {
  return request({
    url: '/indica/cIndicationInfo/listReportFarmRank',
    method: 'get',
    params: query
  })
}
export function listReportGrowth(query) {
  return request({
    url: '/indica/cIndicationInfo/listReportGrowth',
    method: 'get',
    params: query
  })
}
export function list(query) {
  return request({
    url: '/indica/cIndicationInfo/list',
    method: 'get',
    params: query
  })
}
